package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

@Entity
@Table(name="audit_rating")
public class AuditRating implements Serializable{

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Column(name="unit_id")
	private String unitId;
	
	@Column(name="assessed_risk_prcntg")
	private String assessedRiskPrcntg;

	@Column(name="assessed_rating")
	private String assessedRating;

	@Column(name="effective_risk_prcntg")
	private String effectiveRiskPrcntg;

	@Column(name="effective_rating")
	private String effectiveRating;
	
	@Column(name="supervisory_io_risk_prcntg")
	private String supervisoryIoRiskPrcntg;

	@Column(name="supervisory_io_rating")
	private String supervisoryIoRating;
	
	@Column(name="supervisory_ro_risk_prcntg")
	private String supervisoryRoRiskPrcntg;
	
	@Column(name="supervisory_ro_rating")
	private String supervisoryRoRating;
	
	@Column(name="supervisory_ho_risk_prcntg")
	private String supervisoryHoRiskPrcntg;
	
	@Column(name="supervisory_ho_rating")
	private String supervisoryHoRating;

	@Column(name="supervisory_risk_prcntg")
	private String supervisoryRiskPrcntg;

	@Column(name="supervisory_rating")
	private String supervisoryRating;
	
	@Column(name="management_score")
	private String managementScore;
	
	@Column(name="integrated_score")
	private String integratedScore;
	
	@Column(name="integrated_scor_aftr_p_overlay")
	private String integratedScoreAftrPOverlay;
	
	@Column(name="rating_aftr_p_overlay")
	private String ratingAftrPOverlay;
	
	@Column(name="rating_aftr_M_overlay")
	private String ratingAftrMOverlay;
	
	@Column(name="final_rating")
	private String finalRating;	

	@Column(name="rating_parameter_status")
	private String ratingParameterStatus;
	
	@Column(name="auditer_id")
	private String auditerId;
	
	@Column(name="reviewer_id")
	private String reviewerId;
	
	@Column(name="ho_reviewer_id")
	private String hoReviewerId;
	
	@Column(name="reviewed_date")
	private Date reviewedDate;
	
	@Column(name="ho_reviewed_date")
	private Date hoReviewedDate;
	
	@Column(name="composite_prcntg")
	private String compositePrcntg;
	
	@Column(name="composite_rating")
	private String compositeRating;
	
	@Column(name="composite_prcntg_aftr_overlay")
	private String compositePrcntgAftrOverlay;
	
	@Column(name="composite_rating_aftr_overlay")
	private String compositeRatingAftrOverlay;
	
	@Column(name="composite_rating_status")
	private String compositeRatingStatus;
	
	@Column(name="composite_rating_checker")
	private String compositeRatingChecker;
	
	@Column(name="desk_compliance_maximum_marks")
	private String deskComplianceMaximumMarks;
	
	@Column(name="desk_compliance_marks_obtained")
	private String deskComplianceMarksObtained;
	
	@Column(name="onsite_compliance_maximum_marks")
	private String onsiteComplianceMaximumMarks;
	
	@Column(name="onsite_compliance_marks_obtained")
	private String onsiteComplianceMarksObtained;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	/*************** End Here, BaaSDOS *********************/

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public String getAssessedRiskPrcntg() {
		return assessedRiskPrcntg;
	}

	public void setAssessedRiskPrcntg(String assessedRiskPrcntg) {
		this.assessedRiskPrcntg = assessedRiskPrcntg;
	}

	public String getAssessedRating() {
		return assessedRating;
	}

	public void setAssessedRating(String assessedRating) {
		this.assessedRating = assessedRating;
	}

	public String getEffectiveRiskPrcntg() {
		return effectiveRiskPrcntg;
	}

	public void setEffectiveRiskPrcntg(String effectiveRiskPrcntg) {
		this.effectiveRiskPrcntg = effectiveRiskPrcntg;
	}

	public String getEffectiveRating() {
		return effectiveRating;
	}

	public void setEffectiveRating(String effectiveRating) {
		this.effectiveRating = effectiveRating;
	}

	public String getSupervisoryIoRiskPrcntg() {
		return supervisoryIoRiskPrcntg;
	}

	public void setSupervisoryIoRiskPrcntg(String supervisoryIoRiskPrcntg) {
		this.supervisoryIoRiskPrcntg = supervisoryIoRiskPrcntg;
	}

	public String getSupervisoryIoRating() {
		return supervisoryIoRating;
	}

	public void setSupervisoryIoRating(String supervisoryIoRating) {
		this.supervisoryIoRating = supervisoryIoRating;
	}

	
	public String getSupervisoryRoRiskPrcntg() {
		return supervisoryRoRiskPrcntg;
	}

	public void setSupervisoryRoRiskPrcntg(String supervisoryRoRiskPrcntg) {
		this.supervisoryRoRiskPrcntg = supervisoryRoRiskPrcntg;
	}

	public String getSupervisoryRoRating() {
		return supervisoryRoRating;
	}

	public void setSupervisoryRoRating(String supervisoryRoRating) {
		this.supervisoryRoRating = supervisoryRoRating;
	}

	public String getSupervisoryHoRiskPrcntg() {
		return supervisoryHoRiskPrcntg;
	}

	public void setSupervisoryHoRiskPrcntg(String supervisoryHoRiskPrcntg) {
		this.supervisoryHoRiskPrcntg = supervisoryHoRiskPrcntg;
	}

	public String getSupervisoryHoRating() {
		return supervisoryHoRating;
	}

	public void setSupervisoryHoRating(String supervisoryHoRating) {
		this.supervisoryHoRating = supervisoryHoRating;
	}

	public String getSupervisoryRiskPrcntg() {
		return supervisoryRiskPrcntg;
	}

	public void setSupervisoryRiskPrcntg(String supervisoryRiskPrcntg) {
		this.supervisoryRiskPrcntg = supervisoryRiskPrcntg;
	}

	public String getSupervisoryRating() {
		return supervisoryRating;
	}

	public void setSupervisoryRating(String supervisoryRating) {
		this.supervisoryRating = supervisoryRating;
	}

	public String getManagementScore() {
		return managementScore;
	}

	public void setManagementScore(String managementScore) {
		this.managementScore = managementScore;
	}

	public String getIntegratedScore() {
		return integratedScore;
	}

	public void setIntegratedScore(String integratedScore) {
		this.integratedScore = integratedScore;
	}

	public String getIntegratedScoreAftrPOverlay() {
		return integratedScoreAftrPOverlay;
	}

	public void setIntegratedScoreAftrPOverlay(String integratedScoreAftrPOverlay) {
		this.integratedScoreAftrPOverlay = integratedScoreAftrPOverlay;
	}

	public String getRatingAftrPOverlay() {
		return ratingAftrPOverlay;
	}

	public void setRatingAftrPOverlay(String ratingAftrPOverlay) {
		this.ratingAftrPOverlay = ratingAftrPOverlay;
	}

	public String getRatingAftrMOverlay() {
		return ratingAftrMOverlay;
	}

	public void setRatingAftrMOverlay(String ratingAftrMOverlay) {
		this.ratingAftrMOverlay = ratingAftrMOverlay;
	}

	public String getFinalRating() {
		return finalRating;
	}

	public void setFinalRating(String finalRating) {
		this.finalRating = finalRating;
	}

	public String getRatingParameterStatus() {
		return ratingParameterStatus;
	}

	public void setRatingParameterStatus(String ratingParameterStatus) {
		this.ratingParameterStatus = ratingParameterStatus;
	}

	public String getAuditerId() {
		return auditerId;
	}

	public void setAuditerId(String auditerId) {
		this.auditerId = auditerId;
	}

	public String getReviewerId() {
		return reviewerId;
	}

	public void setReviewerId(String reviewerId) {
		this.reviewerId = reviewerId;
	}

	public String getHoReviewerId() {
		return hoReviewerId;
	}

	public void setHoReviewerId(String hoReviewerId) {
		this.hoReviewerId = hoReviewerId;
	}

	public Date getReviewedDate() {
		return reviewedDate;
	}

	public void setReviewedDate(Date reviewedDate) {
		this.reviewedDate = reviewedDate;
	}

	public Date getHoReviewedDate() {
		return hoReviewedDate;
	}

	public void setHoReviewedDate(Date hoReviewedDate) {
		this.hoReviewedDate = hoReviewedDate;
	}

	

	public String getCompositePrcntg() {
		return compositePrcntg;
	}

	public void setCompositePrcntg(String compositePrcntg) {
		this.compositePrcntg = compositePrcntg;
	}

	public String getCompositeRating() {
		return compositeRating;
	}

	public void setCompositeRating(String compositeRating) {
		this.compositeRating = compositeRating;
	}

	public String getCompositePrcntgAftrOverlay() {
		return compositePrcntgAftrOverlay;
	}

	public void setCompositePrcntgAftrOverlay(String compositePrcntgAftrOverlay) {
		this.compositePrcntgAftrOverlay = compositePrcntgAftrOverlay;
	}

	public String getCompositeRatingAftrOverlay() {
		return compositeRatingAftrOverlay;
	}

	public void setCompositeRatingAftrOverlay(String compositeRatingAftrOverlay) {
		this.compositeRatingAftrOverlay = compositeRatingAftrOverlay;
	}

	public String getCompositeRatingStatus() {
		return compositeRatingStatus;
	}

	public void setCompositeRatingStatus(String compositeRatingStatus) {
		this.compositeRatingStatus = compositeRatingStatus;
	}

	public String getCompositeRatingChecker() {
		return compositeRatingChecker;
	}

	public void setCompositeRatingChecker(String compositeRatingChecker) {
		this.compositeRatingChecker = compositeRatingChecker;
	} 

	public String getDeskComplianceMaximumMarks() {
		return deskComplianceMaximumMarks;
	}

	public void setDeskComplianceMaximumMarks(String deskComplianceMaximumMarks) {
		this.deskComplianceMaximumMarks = deskComplianceMaximumMarks;
	}

	public String getDeskComplianceMarksObtained() {
		return deskComplianceMarksObtained;
	}

	public void setDeskComplianceMarksObtained(String deskComplianceMarksObtained) {
		this.deskComplianceMarksObtained = deskComplianceMarksObtained;
	}

	public String getOnsiteComplianceMaximumMarks() {
		return onsiteComplianceMaximumMarks;
	}

	public void setOnsiteComplianceMaximumMarks(String onsiteComplianceMaximumMarks) {
		this.onsiteComplianceMaximumMarks = onsiteComplianceMaximumMarks;
	}

	public String getOnsiteComplianceMarksObtained() {
		return onsiteComplianceMarksObtained;
	}

	public void setOnsiteComplianceMarksObtained(String onsiteComplianceMarksObtained) {
		this.onsiteComplianceMarksObtained = onsiteComplianceMarksObtained;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
			
}
